{% extends "lab_7/layout/base.html" %}

{% block content %}
    <section name="friend-list" id="friend-list">
        <div class="container">
            <div class="row">
                <div class="col-md-8 col-lg-8">
                    <h2> Friend List </h2>
                    <div id="friend-list" class="list-group">

                    </div>
                </div>
            </div>
        </div>
    </section>
{% endblock %}
{% block javascript %}
    <script>
        $( document ).ready(function () {
            //lengkapi pemanggilan ajax berikut untuk mengambil daftar teman yang ada di database
            $.ajax({
                method: "GET",
                url: "{% url 'lab-7:get-friend-list' %}", // update
                success: function (friend_list) {
                    //tampilkan list teman ke halaman
                    //hint : gunakan fungsi jquery append()
                    var friends = JSON.parse(friend_list);
                    if(friends.length == 0){
                        var html = '<div class="alert alert-danger text-center">\
                                        <strong> Opps! </strong>\
                                            Tidak ada mahasiswa\
                                    </div>';
                        $("#friend-list").append(html)
                    }
                    else{
                        var counter = 0;
                        $.each(friends,function(index,friend){
                            var button = '<span class="pull-right">\
                                            <button type="button" class="btn btn-xs btn-danger" onClick="deleteFriend('+friend.pk+')">\
                                                &times\
                                            </button>\
                                         </span>';
                            var html;

                            if(counter % 2 == 0){
                                html = '<a class="list-group-item list-group-item-warning text-center">'+
                                            friend.fields.friend_name +
                                            ' (' + friend.fields.npm + ')' + button +  '</a>';
                            }else if(counter % 2 == 1){
                                html = '<a class="list-group-item list-group-item-info text-center">'+
                                            friend.fields.friend_name +
                                            ' (' + friend.fields.npm + ')' + button + '</a>';
                            }

                            $("#friend-list").append(html)
                            
                            counter += 1;
                        })
                    }
                },
                error: function(error){
                    //tampilkan pesan error
                    alert("Error");
                }
            });
        });

        function deleteFriend(id){
            window.open('delete-friend/'+id+'/', '_self');
        }

    </script>
{% endblock %}

